Serialize a ReadConcern

- « MongoDB\Driver\ReadConcern::isDefault

- MongoDB\Driver\ReadConcern::unserialize »

- PHP Manual
- MongoDB\Driver\ReadConcern
- Serialize a ReadConcern

# MongoDB\Driver\ReadConcern::serialize

(mongodb >=1.7.0)

MongoDB\Driver\ReadConcern::serialize — Serialize a ReadConcern

### Description

final public MongoDB\Driver\ReadConcern::serialize(): string

### Parameters

This function has no parameters.

### Return Values

Returns the serialized representation of the MongoDB\Driver\ReadConcern.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\ReadConcern::unserialize() - Unserialize a ReadConcern
- serialize() - Generates a storable representation of a value
- Serializing Objects